現在位置: ホーム / セキュリティ ブログ / wiresharkに複数の脆弱性(CVE-2017-7700, CVE-2017-7701, CVE-2017-7702, CVE-2017-7703, CVE-2017-7704, CVE-2017-7705, CVE-2017-7745, CVE-2017-7746, CVE-2017-7747, CVE-2017-7748 )

wiresharkに複数の脆弱性(CVE-2017-7700, CVE-2017-7701, CVE-2017-7702, CVE-2017-7703, CVE-2017-7704, CVE-2017-7705, CVE-2017-7745, CVE-2017-7746, CVE-2017-7747, CVE-2017-7748 )

04/13/2017にwiresharkに複数の脆弱性情報(CVE-2017-7700, CVE-2017-7701, CVE-2017-7702, CVE-2017-7703, CVE-2017-7704, CVE-2017-7705, CVE-2017-7745, CVE-2017-7746, CVE-2017-7747, CVE-2017-7748 )が追加されました。今回はこの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

04/13/2017にwiresharkの複数の脆弱性情報(CVE-2017-7700, CVE-2017-7701, CVE-2017-7702, CVE-2017-7703, CVE-2017-7704, CVE-2017-7705, CVE-2017-7745, CVE-2017-7746, CVE-2017-7747, CVE-2017-7748 )が追加されました。今回はこの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。




Priority

Moderate/Medium

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • CVE-2017-7700
    • NetScalerファイルパーサの無限ループ

    • wiretap/netscaler.cファイル中に問題が有り、悪意のあるキャプチャファイルによりNetScalerファイルパーサが無限ループに陥ります。

  • CVE-2017-7701
    • BGP Dissectorの無限ループ

    • epan/dissectors/packet-bgp.cファイル中に問題が有り、悪意のあるキャプチャファイルによりBGP Dissectorが無限ループに陥ります。

  • CVE-2017-7702
    • WBXML Dissectorの無限ループ

    • epan/dissectors/packet-wbxml.cファイル中に問題が有り、悪意のあるキャプチャファイルによりWBXML Dissectorが無限ループに陥ります。

  • CVE-2017-7703
    • IMAP Dissectorの無限ループ

    • epan/dissectors/packet-imap.cファイル中に問題が有り、悪意のあるキャプチャファイルによりIMAP Dissectorが無限ループに陥ります。

  • CVE-2017-7704
    • DOF Dissectorの無限ループ

    • epan/dissectors/packet-dof.cファイル中に問題が有り、悪意のあるキャプチャファイルによりDOF Dissectorが無限ループに陥ります。

  • CVE-2017-7705
    • RPC over RDMA Dissectorの無限ループ

    • epan/dissectors/packet-rpcrdma.cファイル中に問題が有り、悪意のあるキャプチャファイルによりRPC over RDMA Dissectorが無限ループに陥ります。

  • CVE-2017-7745
    • SIGCOMP Dissectorの無限ループ

    • epan/dissectors/packet-sigcomp.cファイル中に問題が有り、悪意のあるキャプチャファイルによりSIGCOMP Dissectorが無限ループに陥ります。

  • CVE-2017-7746
    • SLSK Dissectorの無限ループ

    • epan/dissectors/packet-slsk.cファイル中に問題が有り、悪意のあるキャプチャファイルによりSLSK Dissectorが無限ループに陥ります。

  • CVE-2017-7747
    • PacketBB Dissectorの無限ループ

    • epan/dissectors/packet-packetbb.cファイル中に問題が有り、悪意のあるキャプチャファイルによりPacketBB Dissectorが無限ループに陥ります。

  • CVE-2017-7748
    • WSP Dissectorの無限ループ

    • epan/dissectors/packet-wsp.cファイル中に問題が有り、悪意のあるキャプチャファイルによりWSP Dissectorが無限ループに陥ります。


主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat Satelliteを使うと管理が便利でしょう。

Red Hat Satelliteを用いた一般的なErattaの適用は、『Red Hat Satellite 6でerrataを適用してみる』を 参考にして下さい。

[参考]

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-7700

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-7701

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-7702

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-7703

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-7704

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-7705

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-7745

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-7746

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-7747

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-7748

OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

タグ:
OSSよろず相談室

サイオスOSSよろず相談室(2)

問い合わせボタン